Bug 185857 - [patch] mail/postfix - quiet warning message on 10+
Summary: [patch] mail/postfix - quiet warning message on 10+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 23:00 UTC by Adam Weinberger
Modified: 2014-01-21 01:18 UTC (History)
0 users

See Also:


Attachments
postfix.patch (436 bytes, patch)
2014-01-17 23:00 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2014-01-17 23:00:02 UTC
Any operation involving this port on 10+ gives the following message: 

make: "/usr/ports/mail/postfix/Makefile" line 93: warning: Couldn't read shell's output for "/usr/bin/grep -m 1 '^purgestat' /etc/mail/mailer.conf || true"

This message also appears for all the other postfix ports. It's due to the way bmake treats
empty shell command results.

It's pretty easy to fix though: change "true" at the end to "${ECHO_CMD}".

Fix: The attached patch fixes it for mail/postfix, but it'll also apply for all the other
postfix ports.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-17 23:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sahil Tandon freebsd_committer 2014-01-20 18:58:50 UTC
State Changed
From-To: open->analyzed

Thanks I will incorporate this in next update.
Comment 3 Sahil Tandon freebsd_committer 2014-01-21 01:18:52 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!